GTGPaje_Basic.h File Reference

paje_GTGBasic1 is the Paje implementation of the basic interface to generate traces (GTGBasic1). More...

`#include "GTGBasic.h"`

Go to the source code of this file.

## Data Structures

struct | gtg_paje_edp_s
struct | gtg_paje_eventdef_s

## Macros

#define | FMT_PAJE 0
| Constant to create a paje trace.
#define | FMT_VITE 1
| Constant to create a vite trace.

## Typedefs

typedef struct gtg_paje_edp_s | gtg_paje_edp_t
typedef struct gtg_paje_eventdef_s | gtg_paje_eventdef_t

## Enumerations

enum

gtg_paje_evtdef_e {
GTG_PAJE_EVTDEF_DefineContainerType , GTG_PAJE_EVTDEF_DefineStateType , GTG_PAJE_EVTDEF_DefineEventType , GTG_PAJE_EVTDEF_DefineVariableType ,
GTG_PAJE_EVTDEF_DefineLinkType , GTG_PAJE_EVTDEF_DefineEntityValue , GTG_PAJE_EVTDEF_CreateContainer , GTG_PAJE_EVTDEF_DestroyContainer ,
GTG_PAJE_EVTDEF_SetState , GTG_PAJE_EVTDEF_PushState , GTG_PAJE_EVTDEF_PopState , GTG_PAJE_EVTDEF_ResetState ,
GTG_PAJE_EVTDEF_NewEvent , GTG_PAJE_EVTDEF_SetVariable , GTG_PAJE_EVTDEF_AddVariable , GTG_PAJE_EVTDEF_SubVariable ,
GTG_PAJE_EVTDEF_StartLink , GTG_PAJE_EVTDEF_EndLink , GTG_PAJE_EVTDEF_NBR
}

enum | gtg_paje_fieldtype_e { GTG_PAJE_FIELDTYPE_Int , GTG_PAJE_FIELDTYPE_Hex , GTG_PAJE_FIELDTYPE_Date , GTG_PAJE_FIELDTYPE_Double , GTG_PAJE_FIELDTYPE_String , GTG_PAJE_FIELDTYPE_Color , GTG_PAJE_FIELDTYPE_NBR }

## Functions

trace_return_t | pajeInitTrace (const char *filename, int rank, gtg_flag_t flags, int fmt)
char * | pajeGetName (int rk)
trace_return_t | pajeSetCompress (int val)
trace_return_t | pajeAddContType (const char *alias, const char *contType, const char *name)
trace_return_t | pajeAddStateType (const char *alias, const char *contType, const char *name)
trace_return_t | pajeAddEventType (const char *alias, const char *contType, const char *name)
trace_return_t | pajeAddLinkType (const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)
trace_return_t | pajeAddVarType (const char *alias, const char *contType, const char *name)
trace_return_t | pajeAddEntityValue (const char *alias, const char *entType, const char *name, const char *color)
trace_return_t | pajeAddContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)
trace_return_t | pajeSeqAddContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name)
trace_return_t | pajeDestroyContainer (varPrec time, const char *name, const char *type)
trace_return_t | pajeSetState (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | pajePushState (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | pajePopState (varPrec time, const char *type, const char *cont)
trace_return_t | pajeAddEvent (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | pajeStartLink (varPrec time, const char *type, const char *cont, const char *src, const char *val, const char *key)
trace_return_t | pajeEndLink (varPrec time, const char *type, const char *cont, const char *dest, const char *val, const char *key)
trace_return_t | pajeSetVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | pajeAddVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | pajeSubVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | pajeAddComment (const char *comment)
trace_return_t | pajeEndTrace ()
trace_return_t | viteEndTrace ()
void | pajeEventDefAddParam (enum gtg_paje_evtdef_e event, const char *name, enum gtg_paje_fieldtype_e type)

## Variables

gtg_paje_eventdef_t | paje_eventdefs [GTG_PAJE_EVTDEF_NBR]

## Detailed Description

paje_GTGBasic1 is the Paje implementation of the basic interface to generate traces (GTGBasic1).

Version
  0.1

Authors
  Developers are :
  Francois Rue - franc.nosp@m.ois..nosp@m.rue@l.nosp@m.abri.nosp@m..fr
  Francois Trahay - franc.nosp@m.ois..nosp@m.traha.nosp@m.y@la.nosp@m.bri.f.nosp@m.r
  Johnny Jazeix - jazei.nosp@m.x@en.nosp@m.seirb.nosp@m.-mat.nosp@m.meca..nosp@m.fr
  Kevin Coulomb - kevin.nosp@m..cou.nosp@m.lomb@.nosp@m.gmai.nosp@m.l.com
  Mathieu Faverge - faver.nosp@m.ge@l.nosp@m.abri..nosp@m.fr
  Olivier Lagrasse - lagra.nosp@m.sse@.nosp@m.ensei.nosp@m.rb-m.nosp@m.atmec.nosp@m.a.fr

## Macro Definition Documentation

## FMT_PAJE

#define FMT_PAJE 0

Constant to create a paje trace.

## FMT_VITE

#define FMT_VITE 1

Constant to create a vite trace.

## Typedef Documentation

## gtg_paje_edp_t

typedef struct gtg_paje_edp_s gtg_paje_edp_t

## gtg_paje_eventdef_t

typedef struct gtg_paje_eventdef_s gtg_paje_eventdef_t

## Enumeration Type Documentation

## gtg_paje_evtdef_e

enum gtg_paje_evtdef_e

Enumerator
GTG_PAJE_EVTDEF_DefineContainerType |
GTG_PAJE_EVTDEF_DefineStateType |
GTG_PAJE_EVTDEF_DefineEventType |
GTG_PAJE_EVTDEF_DefineVariableType |
GTG_PAJE_EVTDEF_DefineLinkType |
GTG_PAJE_EVTDEF_DefineEntityValue |
GTG_PAJE_EVTDEF_CreateContainer |
GTG_PAJE_EVTDEF_DestroyContainer |
GTG_PAJE_EVTDEF_SetState |
GTG_PAJE_EVTDEF_PushState |
GTG_PAJE_EVTDEF_PopState |
GTG_PAJE_EVTDEF_ResetState |
GTG_PAJE_EVTDEF_NewEvent |
GTG_PAJE_EVTDEF_SetVariable |
GTG_PAJE_EVTDEF_AddVariable |
GTG_PAJE_EVTDEF_SubVariable |
GTG_PAJE_EVTDEF_StartLink |
GTG_PAJE_EVTDEF_EndLink |
GTG_PAJE_EVTDEF_NBR |

## gtg_paje_fieldtype_e

enum gtg_paje_fieldtype_e

Enumerator
GTG_PAJE_FIELDTYPE_Int |
GTG_PAJE_FIELDTYPE_Hex |
GTG_PAJE_FIELDTYPE_Date |
GTG_PAJE_FIELDTYPE_Double |
GTG_PAJE_FIELDTYPE_String |
GTG_PAJE_FIELDTYPE_Color |
GTG_PAJE_FIELDTYPE_NBR |

## Function Documentation

## pajeAddComment()

trace_return_t pajeAddComment | ( | const char * | comment | ) |

## pajeAddContainer()

trace_return_t pajeAddContainer | ( | varPrec | time,
|  | const char * | alias,
|  | const char * | type,
|  | const char * | container,
|  | const char * | name,
|  | const char * | file
| ) |  |

## pajeAddContType()

trace_return_t pajeAddContType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

## pajeAddEntityValue()

trace_return_t pajeAddEntityValue | ( | const char * | alias,
|  | const char * | entType,
|  | const char * | name,
|  | const char * | color
| ) |  |

## pajeAddEvent()

trace_return_t pajeAddEvent | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

## pajeAddEventType()

trace_return_t pajeAddEventType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

## pajeAddLinkType()

trace_return_t pajeAddLinkType | ( | const char * | alias,
|  | const char * | name,
|  | const char * | contType,
|  | const char * | srcContType,
|  | const char * | destContType
| ) |  |

## pajeAddStateType()

trace_return_t pajeAddStateType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

## pajeAddVar()

trace_return_t pajeAddVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |

## pajeAddVarType()

trace_return_t pajeAddVarType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

## pajeDestroyContainer()

trace_return_t pajeDestroyContainer | ( | varPrec | time,
|  | const char * | name,
|  | const char * | type
| ) |  |

## pajeEndLink()

trace_return_t pajeEndLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | dest,
|  | const char * | val,
|  | const char * | key
| ) |  |

## pajeEndTrace()

trace_return_t pajeEndTrace | ( |  | ) |

## pajeEventDefAddParam()

void pajeEventDefAddParam | ( | enum gtg_paje_evtdef_e | event,
|  | const char * | name,
|  | enum gtg_paje_fieldtype_e | type
| ) |  |

## pajeGetName()

char * pajeGetName | ( | int | rk | ) |

## pajeInitTrace()

trace_return_t pajeInitTrace | ( | const char * | filename,
|  | int | rank,
|  | gtg_flag_t | flags,
|  | int | fmt
| ) |  |

## pajePopState()

trace_return_t pajePopState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont
| ) |  |

## pajePushState()

trace_return_t pajePushState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

## pajeSeqAddContainer()

trace_return_t pajeSeqAddContainer | ( | varPrec | time,
|  | const char * | alias,
|  | const char * | type,
|  | const char * | container,
|  | const char * | name
| ) |  |

## pajeSetCompress()

trace_return_t pajeSetCompress | ( | int | val | ) |

## pajeSetState()

trace_return_t pajeSetState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

## pajeSetVar()

trace_return_t pajeSetVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |

## pajeStartLink()

trace_return_t pajeStartLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | src,
|  | const char * | val,
|  | const char * | key
| ) |  |

## pajeSubVar()

trace_return_t pajeSubVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |

## viteEndTrace()

trace_return_t viteEndTrace | ( |  | ) |

## Variable Documentation

## paje_eventdefs

gtg_paje_eventdef_t paje_eventdefs[GTG_PAJE_EVTDEF_NBR]

extern